Package com.xebialabs.deployit.plugin.api.flow

## Class Preview

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.flow.Preview

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class Preview
      extends java.lang.Object
      implements java.io.Serializable

  An preview of the script that a step is going to execute, or of the template that will be copied.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContents()` | Returns a preview of the script that will be executed or the template that will be copied.
    `java.lang.String` | `getSourcePath()` | Returns the path of the source of the rendered content, e.g.
    `void` | `setContents​(java.lang.String contents)` |
    `void` | `setSourcePath​(java.lang.String sourcePath)` |
    `static Preview` | `withContents​(java.lang.String contents)` |
    `static Preview` | `withSourcePathAndContents​(java.lang.String sourcePath, java.lang.String contents)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withContents

          public static Preview withContents​(java.lang.String contents)

    - #### withSourcePathAndContents

          public static Preview withSourcePathAndContents​(java.lang.String sourcePath,
                                                          java.lang.String contents)

    - #### getSourcePath

          public java.lang.String getSourcePath()

      Returns the path of the source of the rendered content, e.g. a script or a FreeMarker template on the classpath.
      Returns:
        the path of the source or `null` if that information is not known.

    - #### setSourcePath

          public void setSourcePath​(java.lang.String sourcePath)

    - #### getContents

          public java.lang.String getContents()

      Returns a preview of the script that will be executed or the template that will be copied. This will be displayed in the GUI using a fixed-width font.
      Returns:
        The preview.

    - #### setContents

          public void setContents​(java.lang.String contents)